=== debian/changelog ===
ambdec (0.4.4-2) experimental; urgency=low

  * Append -pthread to the ambdec_cli's LDFLAGS, too.
  * Remove -march=native flag to fix FTBFS on several
    architectures (Closes: #609621).

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 01:43:29 +0100

ambdec (0.4.4-1) experimental; urgency=low

  * New upstream release.
  * Update my email address.
  * Bump Standards.
  * Switch to packaging format 3.0 (quilt).
  * Add git-buildpackage config file.
  * Pass --buildsystem and --sourcedirectory options to dh to reduce
    debian/rules length.
  * Add -Wl,--as-needed to linking flags.
  * Fix small typo in the manpage.
  * debian/patches/01-destdir.patch:
    - Refresh.
    - Append -pthread to LDFLAGS to prevent FTBFS with newer toolchain.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 00:44:16 +0100

ambdec (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #573886).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 14 Mar 2010 20:40:46 +0100
