=== debian/control ===
Source: ambdec
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libjack-dev,
 ladspa-sdk,
 libclxclient-dev,
 libclthreads-dev,
 libpng12-dev,
 x11proto-core-dev
Homepage: http://www.kokkinizita.net/linuxaudio/index.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ambdec.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ambdec.git
Standards-Version: 3.9.1

Package: ambdec
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Ambisonic decoder for first and second order
 AmbDec is an Ambisonics decoder for up to 36 speakers. It can be used
 for both horizontal and full 3-D systems of first, second and third
 order. The decoding matrices are fully user-configurable. AmbDec has
 some advanced features not found on most decoders:
  * Dual frequency band operation.
  * Speaker distance compensation.
  * Near-field effect compensation.
 .
 All three features can be selectively enabled or disabled in the
 configuration.
