## ambdec 0.5.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2010 Fons Adriaensen <fons@kokkinizita.net>
+#  Copyright (C) 2006-2011 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,9 +22,8 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-SHARED = $(PREFIX)/share
-VERSION = 0.4.4
-DISTDIR = ambdec-$(VERSION)
+SHARED = $(PREFIX)/share/ambdec
+VERSION = 0.5.1
 CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CPPFLAGS += -march=native
 
@@ -32,9 +31,9 @@
 all:	ambdec ambdec_cli
 
 
-AMBDEC_O = ambdec.o styles.o mainwin.o typewin.o confwin.o textmat.o \
-	radbut.o filewin.o jclient.o nffilt.o xover2.o decoder.o adconf.o \
-	png2img.o meter.o
+AMBDEC_O = ambdec.o styles.o mainwin.o confwin.o radbut.o filewin.o \
+           jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o \
+           png2img.o meter.o
 
 ambdec:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
 ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
@@ -47,7 +46,7 @@
 
 
 
-AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o
+AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o
 
 ambdec_cli:	LDLIBS += -lclthreads -ljack -lrt
 ambdec_cli:	$(AMBDEC_CLI_O)
@@ -62,9 +61,13 @@
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 ambdec     $(DESTDIR)$(PREFIX)/bin
 	install -m 755 ambdec_cli $(DESTDIR)$(PREFIX)/bin
-	install -d $(DESTDIR)$(SHARED)/ambdec
-	install -m 644 ../share/* $(DESTDIR)$(SHARED)/ambdec
+	install -d $(DESTDIR)$(SHARED)
+	install -m 644 ../share/* $(DESTDIR)$(SHARED)
 
+uninstall:
+	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/ambdec
+	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/ambdec_cli
+	/bin/rm -rf $(DESTDIR)$(SHARED)
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so
