=== debian/changelog ===
ambdec (0.5.1-4build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:31:26 +0000

ambdec (0.5.1-4) unstable; urgency=medium

  * Fix Vcs-Git.
  * Bump Standards.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 10 Jun 2015 20:35:05 +0200

ambdec (0.5.1-3) unstable; urgency=low

  * Set dependency on libclxclient 3.9.0 to fix a crash. (Closes: #715631)
  * Update copyright file.
  * Removed DMUA.
  * Bump standards.
  * Set dh/compat 9.
  * Fix VCS canonical URLs.
  * Tune gitignore file to handle rather dir.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 23:37:58 +0200

ambdec (0.5.1-2) unstable; urgency=low

  [ Alessio Treglia ]
  * libpng12-dev -> libpng-dev (Closes: #662266).
  * Update debian/copyright.
  * Set DM-Upload-Allowed: yes.

  [ Jaromír Mikeš ]
  * Bump standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 10:55:52 +0200

ambdec (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add myself as uploader
  * updated 01-destdir.patch
  * Bump standards
  * Updated homepage
  * Fixed watch file
  * Copyright switched to rev. 174

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 11 Sep 2011 21:25:38 +0200

ambdec (0.4.4-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 22:09:42 +0100
