=== debian/control ===
Source: ambdec
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk,
 libclthreads-dev,
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 x11proto-core-dev
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ambdec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ambdec.git
Standards-Version: 3.9.6

Package: ambdec
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: Ambisonic decoder for first and second order
 AmbDec is an Ambisonics decoder for up to 36 speakers. It can be used
 for both horizontal and full 3-D systems of first, second and third
 order. The decoding matrices are fully user-configurable. AmbDec has
 some advanced features not found on most decoders:
  * Dual frequency band operation.
  * Speaker distance compensation.
  * Near-field effect compensation.
 .
 All three features can be selectively enabled or disabled in the
 configuration.
