=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -Smakefile --sourcedirectory=source --parallel

override_dh_installchangelogs:
	dh_installchangelogs README
