=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
ambdec-(.*)\.tar\.bz2
