=== debian/changelog ===
ambdec (0.7.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:11:06 +1100

ambdec (0.7.1-1build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 05:59:30 +0000

ambdec (0.7.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:34 +0100

ambdec (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Use pkgconf to detect freetype. (Closes: #914638)
  * debian/patches: Refresh patches.
  * debian/control: Bump Standards-Version.
  * debian/:
    - Use pkg-config where possible.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 21:33:13 +0100

ambdec (0.5.1-5) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Fix hardening.
  * Avoid useless linking.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Dec 2016 09:49:17 +0100
