=== debian/control ===
--- 
+++ 
@@ -2,21 +2,22 @@
 Section: sound
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ladspa-sdk,
  libclthreads-dev,
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
  libpng-dev,
- x11proto-core-dev
+ libx11-dev,
+ pkg-config
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ambdec.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ambdec.git
-Standards-Version: 3.9.6
+Vcs-Git: https://salsa.debian.org/multimedia-team/ambdec.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ambdec
+Standards-Version: 4.3.0
 
 Package: ambdec
 Architecture: any
